<?php

namespace ADELANTE\PayBySquare\Block;

use Magento\Checkout\Model\Session;
use Magento\Framework\View\Element\Template;
use Magento\Sales\Model\Order;
use ADELANTE\PayBySquare\Helper\Data;

class Success extends \Magento\Framework\View\Element\Template
{

    /**
     * @var Session
     */
    public $_checkoutSession;

    /**
     * @var Data
     */
    public $helper;

    public function __construct(
        Template\Context $context,
        Session $checkoutSession,
        Data $helper,
        array $data = []
    )
    {
        parent::__construct($context, $data);
        $this->_checkoutSession = $checkoutSession;
        $this->helper = $helper;
    }

    /**
     * @return Order
     */
    public function getOrder()
    {
        return $this->_checkoutSession->getLastRealOrder();
    }

    /**
     * @return string
     */
    public function getPayBySquare(): string
    {
        return $this->getOrder()->getData('adelante_pay_by_square_code') ?: '';
    }

}
