<?php

namespace ADELANTE\PayBySquare\Observer;

use Magento\Framework\Event\ObserverInterface;
use ADELANTE\PayBySquare\Helper\Data;
use \ADELANTE\PayBySquare\Helper\CreateQRCode;

class AddQrCodeToEmail implements ObserverInterface
{
    /**
     * @var Data
     */
    protected $data;

    /**
     * @var CreateQRCode
     */
    protected $createQRCode;

    /**
     * @param Data $data
     * @param CreateQRCode $createQRCode
     */
    public function __construct(Data $data, CreateQRCode $createQRCode)
    {
        $this->data = $data;
        $this->createQRCode = $createQRCode;
    }

    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        $transport = $observer->getTransport();
        $this->createQRCode->execute($transport['order']);

        $order = $transport['order'];
        if (!empty($order) && !empty($order->getData('adelante_pay_by_square_code')) && $this->data->isEnableConfig()) {
            $qr = $order->getData('adelante_pay_by_square_code');
            $html = '
            <div class="adelante-pay-by-square">
                <p class="adelante-pay-by-square-title">' . $this->data->getNote() . '</p>
                <img class="adelante-pay-by-square-image" src="data:image/png;base64, ' . $qr . '" style="max-width: 200px;" alt="">
            </div>
            ';
            $transport['adelante_pay_by_square'] = $html;
            $transport['payment_html'] .= $html;
        }
    }
}
