<?php

namespace ADELANTE\PayBySquare\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Adapter\AdapterInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface
{
    /**
     * {@inheritdoc}
     * @SuppressWarnings(PHPMD.ExcessiveMethodLength)
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();

        $this->addFieldToSalesSchema($setup);

        $installer->endSetup();
    }

    /**
     * @param $setup
     */
    protected function addFieldToSalesSchema($setup)
    {
        $connection = $setup->getConnection();
        if ($connection->tableColumnExists('mg_sales_order', 'adelante_pay_by_square_code') === false) {
            $connection
                ->addColumn(
                    $setup->getTable('mg_sales_order'),
                    'adelante_pay_by_square_code',
                    [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                        'length' => 0,
                        'comment' => 'Pay by square code'
                    ]
                );
        }
    }

}
